• How To Replace Audio Track of Video using ffmpeg


    A very common use case is that you don't want to waste time using a video editor that requires you to open it up and manually import the video clip and audio clip, then manually delete the old audio track and import the video and new audio. That's too much work and time since we don't want to go through the hassle. ffmpeg is our solution, all we have to do is specify 3 variables and we're done! -i Windows2019-Server-Noaudio.mp4 is our in........
  • apcupsd how to setup and monitor APC UPS units


    It really seems limited in that it can mainly give you the things you would see on the physical unit such as load etc.. wget https://downloads.sourceforge.net/project/apcupsd/apcupsd%20-%20Stable/3.14.14/apcupsd-3.14.14.tar.gz?r=https%3A%2F%2Fsourceforge.net%2Fprojects%2Fapcupsd%2Ffiles%2Flatest%2Fdownload&ts=1598115866 tar -zxvf apcupsd-3.14.14.tar.gz cd apcupsd-3.14.14 [root@somebox apcupsd-3.14.14]# ./conf........
  • CentOS 6 impossible to compile a newer libguestfs


    yum -y install gcc make gperf genisoimage flex bison ncurses ncurses-devel pcre-devel augeas-devel augeas readline-devel checking for cpio... cpio checking for gperf... no configure: error: gperf must be installed configure: error: Package requirements (augeas >= 1.2.0) were not met: Requested 'augeas >= 1.2.0' but version of augeas is 1.0.0 yum remove augeas augeas-libs augeas-devel wget http://downl........
  • How To Install Asterisk 16 17 on Debian Ubuntu Linux


    Downloading and compiling from source to get the latest version of Asterisk is really simple with this guide. apt install gcc make g++ libedit-dev uuid-dev libjansson-dev apt install libxml2-dev sqlite3 libsqlite3-dev wget http://downloads.asterisk.org/pub/telephony/asterisk/asterisk-16-current.tar.gz tar -zxvf asterisk-16-current.tar.gz cd asterisk-16.6.2/ ./configure If you get this error change y........
  • Debian Mint Ubuntu compiling xmr-stak


    sudo apt-get install libcurl4-openssl-dev git build-essential autotools-dev autoconf libcurl3 sudo apt-get install libcurl4-gnutls-dev git clone https://github.com/wolf9466/cpuminer-multi sudo apt-get install cmake libpthread-* libmicrohttpd-dev libssl-dev libhwloc-dev git clone https://github.com/fireice-uk/xmr-stak-cpu.git make install cd bin chmod +x xmr-stak-cpu ./xmr-stak -O xmr........
  • GCC 5 on Centos 6 - How To Install


    Install requirements: yum -y install gmp-devel mpfr-devel libmpc-devel glibc-devel glibc-devel.i686 zip unzip jar Download, untar, configure, compile and install GCC http://mirrors.kernel.org/gnu/gcc/gcc-5.5.0/gcc-5.5.0.tar.gz tar -zxvf gcc-5.5.0.tar.gz cd gcc-5.5.0 ./configure make make install Now you need to cleanup th........
  • ffmpeg trouble concatenating similar but different files


    When things go wrong your video is basically unplayable or the first video plays fine and then freezes when moving on to the next. Generally if both videos weren't produced with the exact 100% same settings you will have issues. You can try the basic concat but it often won't work right. Solution for me: My example uses 3 videos in total so "n=3" and a=1 to include audio. ffmpeg -threads 12 -i file1.mp4 -........
  • ffmpeg Linux Mint download, compile and install howto


    #if you have nvidia make sure you install the nvidia-cuda-toolkit so hardware acceleration can be used wget http://ffmpeg.org/releases/ffmpeg-3.3.2.tar.bz2 tar -jxvf ffmpeg-3.3.2.tar.bz2 cd ffmpeg-3.3.2/ ./configure --disable-yasm install prefix /usr/local source path ........
  • Centos 7 Cudaminer Nvidia setup guide


    I am using a GTX 1060 but replace the download for the driver with the correct/current version for your particular card by visiting: http://www.nvidia.com/Download/index.aspx?lang=en-us yum install automake curl openssl-devel libcurl-devel gcc gcc-c++ yum -y install kernel-devel-`uname -r` yum -y install unzip #the........
  • Centos and obfsproxy install errors


    pip install obfsproxy /usr/lib/python2.6/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning. InsecurePlatformWarning You are using pip version 7.1.0, however version 8.1.1 i........
  • There was a problem importing one of the Python modules required to run yum. The error leading to this problem was:


    There was a problem importing one of the Python modules required to run yum. The error leading to this problem was: No module named yum Please install a package which provides this module, or verify that the module is installed correctly. It's possible that the above module doesn't match the current version of Python, which is: 2.7.9 (default, Apr 21 2016, 16:51:58) [GCC 4.4.7 20120313........
  • Centos/obfsproxy errors


    I never did get it working, it is too bad as obfsproxy should really be an option and integrated into the OpenVPN client and server or something similar: yum -y install python-pip python-devel No package python-pip available. #install the EPEL repo python-pip install obfsproxy python-pip install obfsproxy -bash: python-pip: command not found pip install obfsproxy &........
  • kvm centos cannot compile error


    ./configure ./configure: cannot locate gcc 3.x. please install it or specify with --qemu-cc yum -y install gcc make ./configure ./configure: cannot locate gcc 3.x. please install it or specify with --qemu-cc yum -y install compat-gcc-* ./configure Error: Could not find alsa Make sure to have the alsa libs and headers installed. yum -y install alsa-lib-devel ./configure........
  • Dell Perc 6/i cannot downgrade


    I flashed an LSI Logic firmware to it and it broke the BIOS (cannot do Ctrl+R) for booting purposes but allows other functionality to work normally. I tried downgrading to a Dell firmware for Perc 6i but it won't work, not even with MegaCli wget http://downloads.dell.com/FOLDER00416606M/1/SAS-RAID_Firmware_W83M2_LN32_6.3.1-0003_A14.BIN --2013-08-26 12:53:39-- http://downloads.dell.com/FOLDER00416606M/1/SAS-RAID_Firmware_W83M2_LN32_6.3.1-0003_A14.BIN Resolvi........
  • Kernel/make compilation time and how to improve compile times/compile the Linux kernel faster without hardware upgrades


    I thought only a faster CPUand SSDwould help but I already have a Quad-Core CPU and it wasn't being maxed out. The actual tests were performed on an AMD-V enabled 128MB dual core VMWare container though. There is a flag that can be passed to make in order to start multiple threads, by specifying 4 threads I was able to reduce the whole kernel compilation time from scratch by about 50%! (65minutes vs 31minutes!). *Yes I did do a make clean before each co........
  • Directadmin DA Install Guide


    yum -y install openssl* gcc-c++ gcc flex g++ make;wget http://www.directadmin.com/setup.sh;chmod +x ./setup.sh;./setup.sh #enable SSL /usr/bin/openssl req -x509 -newkey rsa:1024 -keyout /usr/local/directadmin/conf/cakey.pem -out /usr/local/directadmin/conf/cacert.pem -days 9999 -nodes chown diradmin:diradmin /usr/local/directadmin/conf/cakey.pem chmod 400 /usr/local/directadmin/conf/cakey.pem sed -i "s/SSL=0/SSL=1/g" /usr/local/dire........
  • Installing Webmin & Enabling SSL


    Webmin Setup Centos 5: wget http://downloads.sourceforge.net/project/webadmin/webmin/1.530/webmin-1.530-1.noarch.rpm?r=http%3A%2F%2Fwww.webmin.com%2Fstandard.html&ts=1294339690&use_mirror=surfnet [1] 24229 [2] 24230 [root@host ~]# --2011-01-06 21:48:20-- http://downloads.sourceforge.net/project/webadmin/webmin/1.530/webmin-1.530-1.noarch.rpm?r=http%3A%2F%2Fwww.webmin.com%2Fstandard.html Resolving downloads.sourceforge.net... 216.34.181.........
  • yum in Centos 5/Xen halts and exits suddenly


    yum exits in the middle The problem is this VPS seems to be an OpenVZ template from HyperVM. The only way to make it work was to disable i386 packages since this was an x64 kernel. That shouldn't be necessary but it was the only way to make yum stop quitting after the first package or two. I couldn't find any issue by checking the logs either. echo y|yum install vim-minimal telnet expect jwhois net-tools slocate iptables elinks gawk L........
  • yum error with some versions of Centos Refusing to automatically import keys when running unattended. Use "-y" to override.


    Refusing to automatically import keys when running unattended. Use "-y" to override. When using echo y|yum install gcc Fix with rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY*........
  • Installing Virtualbox on Centos 5.5


    wget http://download.virtualbox.org/virtualbox/3.2.8/VirtualBox-3.2-3.2.8_64453_rhel5-1.i386.rpm rpm -i http://download.virtualbox.org/virtualbox/3.2.8/VirtualBox-3.2-3.2.8_64453_rhel5-1.i386.rpm error: Failed dependencies: libGLU.so.1 is needed by VirtualBox-3.2-3.2.8_64453_rhel5-1.i386 libSDL-1.2.so.0 is needed by VirtualBox-3.2-3.2.8_64453_rhel5-1.i386 libXmu.so.6 is needed b........
  • Compile PHP 5.3.2 on Centos 5 and CPanel/WHM because of error - Fatal error: Call to > undefined function imagecreatefromjpeg()


    This function and others may not work with the stock PHPinstall on Centos/CPanel: Fatal error: Call to > undefined function imagecreatefromjpeg() Even with libjpeg-devel installed it won't work because PHP was not compiled with jpeg support, so we have to do the dirty work ourselves :) Here is the command/yum's I did to install missing libraries for PHP that configure will complain about (yes it is a one by one process). yum install bzip2-........
  • Choose Which GCC Version to compile with via CC environment variable.


    It's very common to have multiple GCC versions for different reasons, as annoying as it is. Some newer/older programs only compile properly or at all on specific versions. You can export the following variable CC: export CC=gcc-4.1 Replace gcc-4.1 with the filename of the gcc you want eg. gcc-99........
  • PHP cannot access /usr/bin/openssl


    PHP cannot access /usr/bin/opensslI have verified the username that runs the process is able to access /usr/bin/openssl and it does exist but the PHP script is saying it doesn't exist: [code:1:1fd0f3abbe] if (!file_exists($OPENSSL)) { //echo "ERROR: OPENSSL $OPENSSL not foundn"; }[/code:1:1fd0f3abbe] I don't get itI can clearly see the contents of /usr/bin by using the PHP system fu........
  • Centos 4.3 x64 & VMWare Server Beta


    Centos 4.3 x64 & VMWare Server Beta[code:1:6d0b2c8c2f] The correct version of one or more libraries needed to run VMware Server may be missing. This is the output of ldd /usr/bin/vmware: linux-gate.so.1 => (0xffffe000) libm.so.6 => /lib/tls/libm.so.6 (0xf7fbd000) libdl.so.2 => /lib/libdl.so.2 (0xf7fb9000) libpthread.so.0 => /lib/tls/libpthread.so.0 (0xf7fa7000) libX11.so.6 => not f........
  • /usr/bin/ld: cannot open crt1.o: No such file or directory


    /usr/bin/ld: cannot open crt1.o: No such file or directory[quote:812bec9db7]/usr/bin/ld: cannot open crt1.o: No such file or directory collect2: ld returned 1 exit status[/quote:812bec9db7] This is annoying and in my case it happened on Centos AMD 64 when compiling a 32bit program with GCC. Install glibc-devel.i386 (make sure you get the i386 version and not the native 64 bit version which is likely already installed). The joys of 3........
  • How to compile in Windows/DOS


    How to compile in Windows/DOSMingW is a free compiler project so start here: http://www.mingw.org/download.shtml#hdr2 I downloaded the core GCC compiler: http://prdownloads.sf.net/mingw/gcc-core-3.4.2-20040916-1.tar.gz?download But it's missing even the standard C runtime libraries like "stdio.h"! You may also need to add environment variables from the DOS command line. Here is a simpl........
  • Weird characters in Linux putty shell


    Iused to get all kinds of weird annoying characters like "‚" during compilation with gcc especially. example: dmg2img.c:456: error: ‚BZ_OK‚ undeclared (first use in this function) dmg2img.c:471: warning: implicit declaration of function ‚BZ2_bzCompressEnd‚ dmg2img.c:482: warning: implicit declaration of function ‚BZ2_bzDecompress‚ dmg2img.c:484: error: ‚BZ_PARAM_ERROR‚ undecl........
  • Using a Mac OSX DMG Image in Windows and Converting to Standard ISO Format use dmg2iso


    The dmg format is silly and annoying to work with, why couldn't Apple stick with the .iso standard? Anyway, there's an excellent Linux and Windows based tool to convert it back to a normal .iso Image called dmg2iso I'll only cover theLinux version although the Windows pre-built binary works the same way. Download dmg2iso here for free (from the author's website) It's just silly and doesn't make sense that Ubuntu doe........
  • Latest Articles

  • Huion and Wacom Tablets How To Install in Linux Mint / Ubuntu and make the stylus work properly
  • ffmpeg how to cut certain parts of video out
  • ffmpeg how to concat and join two video clips
  • mencoder instead of ffmpeg to join or concatenate video files with different audio streams
  • Linux How To Stop Missing Drive from Halting Boot Process in fstab
  • How To Replace Audio Track of Video using ffmpeg
  • qemu-img convert formats vdi vmdk raw qcow2
  • Linux and Windows Dual Boot Crazy Time Issues
  • dynagen / dynamips 100% high CPU usage solution - how to set the idlepc value
  • How To Setup a Cisco CME (Cisco Manager Express) Virtual Router under Linux using dynamips and dynagen
  • Linux Mint Ubuntu Debian CentOS Dual Boot Install Issues
  • Linux Mint Ubuntu Debian Centos RHEL no sound solution
  • Linux Mint/Debian/Ubuntu/Centos Installer black grub screen and blank screen after trying to boot installer or main OS
  • Linux Mint Dual Boot Install Avoid Wiping our your Main C: drive /dev/sda MBR and EFI
  • QEMU-KVM soundhw deprecated how to enable sound in QEMU 4.x series
  • Virtualbox Error Cannot register the hard disk because a hard disk with UUID already exists solution
  • kernel: [549267.368859] mate-terminal[7871]: segfault at 2000000101 ip 00007f5d0a9548f0 sp 00007fff7012c610 error 4 in libgobject-2.0.so.0.4800.2[7f5d0a920000+52000]
  • apcupsd how to setup and monitor APC UPS units
  • How To Password Reset, Recover, Bypass, Remove and Unlock on Windows 10,8,7,Vista,XP,NT,2000,2003,2008,2012,2016,2019 Administrative Login Programs
  • Nvidia Ubuntu Linux Screentearing Video with solution driver